TSHTTPTXNSERVERPUSH(3ts)

NAME
TSHttpTxnServerPush - TSHttpTxnServerPush API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSHttpTxnServerPush(TSHttpTxn txnp, const char *url, int url_len)

DESCRIPTION

Push a content to a client with Server Push mechanism.

This API works only if the protocol of a transaction supports Server Push and it is not disabled by the client. You can call this API without checking whether Server Push is available on the transaction and it does nothing if Server Push is not available.

This API returns an error if the URL to push is not valid, the client has Server Push disabled, or there is an error creating the H/2 PUSH_PROMISE frame.

SEE ALSO

TSAPI(3ts),

COPYRIGHT
2025, dev@trafficserver.apache.org